Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class ImmutableMultiList.MultiIterator

`java.lang.Object
com.tangosol.util.ImmutableMultiList.MultiIterator`

All Implemented Interfaces:
  java.util.Iterator, java.util.ListIterator

Enclosing class:
  ImmutableMultiList

      protected class ImmutableMultiList.MultiIterator

extends java.lang.Object
implements java.util.ListIterator

ListIterator implementation based on the ImmutableMultiList.

Constructor Summary
`ImmutableMultiList.MultiIterator(int i)`

Method Summary
`void` | `add(java.lang.Object o)` Inserts the specified element into the list (optional operation).
`boolean` | `hasNext()` Returns `true` if the iteration has more elements.
`boolean` | `hasPrevious()` Returns `true` if this list iterator has more elements when traversing the list in the reverse direction.
`java.lang.Object` | `next()` Returns the next element in the iteration.
`int` | `nextIndex()` Returns the index of the element that would be returned by a subsequent call to `next`.
`java.lang.Object` | `previous()` Returns the previous element in the list.
`int` | `previousIndex()` Returns the index of the element that would be returned by a subsequent call to `previous`.
`void` | `remove()` Removes from the underlying collection the last element returned by the iterator (optional operation).
`void` | `set(java.lang.Object o)` Replaces the last element returned by `next` or `previous` with the specified element (optional operation).

Constructor Detail

### ImmutableMultiList.MultiIterator

    public ImmutableMultiList.MultiIterator(int i)

Method Detail

### remove

    public void remove()

  Description copied from interface: `java.util.Iterator`
  Removes from the underlying collection the last element returned by the iterator (optional operation). This method can be called only once per call to `next`. The behavior of an iterator is unspecified if the underlying collection is modified while the iteration is in progress in any way other than by calling this method.
  Specified by:
    `remove` in interface `java.util.Iterator`
  Specified by:
    `remove` in interface `java.util.ListIterator`

### add

    public void add(java.lang.Object o)

  Description copied from interface: `java.util.ListIterator`
  Inserts the specified element into the list (optional operation). The element is inserted immediately before the next element that would be returned by `next`, if any, and after the next element that would be returned by `previous`, if any. (If the list contains no elements, the new element becomes the sole element on the list.) The new element is inserted before the implicit cursor: a subsequent call to `next` would be unaffected, and a subsequent call to `previous` would return the new element. (This call increases by one the value that would be returned by a call to `nextIndex` or `previousIndex`.)
  Specified by:
    `add` in interface `java.util.ListIterator`
  Parameters:
    `o` - the element to insert.

### set

    public void set(java.lang.Object o)

  Description copied from interface: `java.util.ListIterator`
  Replaces the last element returned by `next` or `previous` with the specified element (optional operation). This call can be made only if neither `ListIterator.remove` nor `ListIterator.add` have been called after the last call to `next` or `previous`.
  Specified by:
    `set` in interface `java.util.ListIterator`
  Parameters:
    `o` - the element with which to replace the last element returned by `next` or `previous`.

### hasNext

    public boolean hasNext()

  Description copied from interface: `java.util.Iterator`
  Returns `true` if the iteration has more elements. (In other words, returns `true` if `next` would return an element rather than throwing an exception.)
  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Specified by:
    `hasNext` in interface `java.util.ListIterator`
  Returns:
    `true` if the iterator has more elements.

### next

    public java.lang.Object next()

  Description copied from interface: `java.util.Iterator`
  Returns the next element in the iteration. Calling this method repeatedly until the `Iterator.hasNext()` method returns false will return each element in the underlying collection exactly once.
  Specified by:
    `next` in interface `java.util.Iterator`
  Specified by:
    `next` in interface `java.util.ListIterator`
  Returns:
    the next element in the iteration.

### nextIndex

    public int nextIndex()

  Description copied from interface: `java.util.ListIterator`
  Returns the index of the element that would be returned by a subsequent call to `next`. (Returns list size if the list iterator is at the end of the list.)
  Specified by:
    `nextIndex` in interface `java.util.ListIterator`
  Returns:
    the index of the element that would be returned by a subsequent call to `next`, or list size if list iterator is at end of list.

### previousIndex

    public int previousIndex()

  Description copied from interface: `java.util.ListIterator`
  Returns the index of the element that would be returned by a subsequent call to `previous`. (Returns -1 if the list iterator is at the beginning of the list.)
  Specified by:
    `previousIndex` in interface `java.util.ListIterator`
  Returns:
    the index of the element that would be returned by a subsequent call to `previous`, or -1 if list iterator is at beginning of list.

### hasPrevious

    public boolean hasPrevious()

  Description copied from interface: `java.util.ListIterator`
  Returns `true` if this list iterator has more elements when traversing the list in the reverse direction. (In other words, returns `true` if `previous` would return an element rather than throwing an exception.)
  Specified by:
    `hasPrevious` in interface `java.util.ListIterator`
  Returns:
    `true` if the list iterator has more elements when traversing the list in the reverse direction.

### previous

    public java.lang.Object previous()

  Description copied from interface: `java.util.ListIterator`
  Returns the previous element in the list. This method may be called repeatedly to iterate through the list backwards, or intermixed with calls to `next` to go back and forth. (Note that alternating calls to `next` and `previous` will return the same element repeatedly.)
  Specified by:
    `previous` in interface `java.util.ListIterator`
  Returns:
    the previous element in the list.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.